Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class DataInputStreamHelper

    java.lang.Object
      |
      +--org.omg.CORBA.DataInputStreamHelper

public class DataInputStreamHelper
extends java.lang.Object

Helper class for : DataInputStream

Author:
  OpenORB Compiler

Constructor Summary
`DataInputStreamHelper()`

Method Summary
`static DataInputStream` | `extract(Any a)` Extract DataInputStream from an any
`static java.lang.String` | `id()` Return the DataInputStream IDL ID
`static void` | `insert(Any a, DataInputStream t)` Insert DataInputStream into an any
`static DataInputStream` | `read(InputStream istream)` Read DataInputStream from a marshalled stream
`static TypeCode` | `type()` Return the DataInputStream TypeCode
`static void` | `write(OutputStream ostream, DataInputStream value)` Write DataInputStream into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataInputStreamHelper

    public DataInputStreamHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DataInputStream t)

  Insert DataInputStream into an any
  Parameters:
    `a` - an any
    `t` - DataInputStream value

### extract

    public static DataInputStream extract(Any a)

  Extract DataInputStream from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DataInputStream value

### type

    public static TypeCode type()

  Return the DataInputStream TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DataInputStream IDL ID
  Returns:
    an ID

### read

    public static DataInputStream read(InputStream istream)

  Read DataInputStream from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DataInputStream value

### write

    public static void write(OutputStream ostream,
                             DataInputStream value)

  Write DataInputStream into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DataInputStream value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD